const { VantResolver } = require('@vant/auto-import-resolver')
const AutoImport = require('unplugin-auto-import/webpack')
const Components = require('unplugin-vue-components/webpack')

module.exports = {
  publicPath: './',
  lintOnSave: false,
  configureWebpack: {
    plugins: [
      AutoImport.default({
        resolvers: [VantResolver()]
      }),
      Components.default({ resolvers: [VantResolver()] })
    ]
  },
  devServer: {
    proxy: {
      '/zd-api': {
        target: 'http://local.luojigou.vip/crm-api',
        // target: "https://open.test.luojigou.vip",
        changeOrigin: true,
        pathRewrite: { '^/zd-api': '' }
      }
    }
  }
  // plugins: [

  //   AutoImport.default({
  //     resolvers: [VantResolver()]
  //   }),
  //   Components.default({ resolvers: [VantResolver()] })
  // ]
}
